Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# SString Class Reference
[Unicode core]

Inheritance diagram for SString:

## Detailed Description

Static unicode string.

Static string, do not depend on called character data.

## Public Methods

| SString (const String *cstring, int s=0, int l=-1)
| Static string constructor from String source.
| SString (const String &cstring, int s=0, int l=-1)
| Static string constructor from String source.
| SString (char *str, int enc=-1)
| Static string constructor from char stream.
| SString (int no)
| Static string constructor from integer number.
| ~SString ()
| Empty static string constructor.
String * | substring (int s, int l=-1) const
wchar | operator[] (int i) const
int | length () const

## Protected Methods

void | construct (const String *cstring, int s, int l)

## Protected Attributes

wchar * | wstr
int | len

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.